#import "@local/handout:0.1.0": *

// Bonus:
// - Floats vs fixed point
// - Float density
// - Find non-floatable rational numbers
// - What if we use `n`-bit floats?

#show: doc => handout(
  doc,
  group: "Advanced 2",
  title: [Fast Inverse Square Root],
  by: "Mark",
)

#include "parts/00 intro.typ"
#pagebreak()

#include "parts/01 int.typ"
#pagebreak()

#include "parts/02 float.typ"
#pagebreak()

#include "parts/03 approx.typ"
#pagebreak()

#include "parts/04 quake.typ"
#pagebreak()

#include "parts/05 bonus.typ"
