#import "@local/handout:0.1.0": *

#show: handout.with(
  title: [Warm-Up: The Gallery],
  by: "Mark",
)

#let thisone = if_solutions(
  text(fill: ored, [#sym.arrow.l.double.long `this one`]),
)

A museum curator is arranging seven photographs on a gallery wall in accordance with the photographer's requirements.
They are titled as follows: Fence, Gardenias, Hibiscus, Irises, Katydid, Lotus, and Magnolia.

The photograph's requirements are as follows:
#v(2mm)
- Gardenias must be immediately before Katydid.
- Hibiscus must be somewhere before Katydid but cannot be the first photograph.
- Irises and Lotus must be next to one another.
- Magnolia must be one of the first three photographs.
- Fence must be either first or seventh.


#problem()
Which of the below could be a valid ordering? \
#note([We denote each painting by the first letter of its title.], type: "Note")
- `FHGMKIL`
- `HMGKILF`
- `ILMHGKF` #thisone
- `LMIHGKF`
- `MFHGKLI`

#v(1fr)

#problem()
If Irises is immediately before Gardenias, which of the following could be true?
- Gardenias is fourth
- Hibiscus is fourth
- Irises is third
- Lotus is second
- Magnolia is third #thisone

#v(1fr)

#problem()
The ordering of the photographs is fully determined if...
- Gardenias is fourth
- Hibiscus is second
- Irises is second
- Lotus is first #thisone
- Magnolia is third


#v(1fr)
#pagebreak()



#problem()
If Magnolia is second, what CANNOT be true?
- Hibiscus is third
- Hibiscus is fourth #thisone
- Hibiscus is fifth
- Gardenias is fourth
- Gardenias is sixth


#v(1fr)

#problem()
Katydid cannot be in which position?
- Third #thisone
- Fourth
- Fifth
- Sixth
- Seventh

#v(1fr)

#problem()
If Gardenias is fourth, what must be true?
- Fence is first #thisone
- Hibiscus is third
- Irises is seventh
- Magnolia is first
- Magnolia is second

#v(1fr)

#problem()
Which one of the following,
if substituted for the second condition,
would have the same effect in determining the
arrangement of the photographs?

- If Fence is seventh, Hibiscus is second
- Gardenias is somewhere after Hibiscus, and either Fence or Magnolia is first
- Hibiscus must be somewhere between the first and sixth photographs
- Unless Hibiscus is second, it must be somewhere between Magnolia and Gardenias \
  #if_solutions(text(fill: ored, [#sym.arrow.t.double `this one`]))
- Katydid is somewhere after Hibiscus, which must be after Fence.

#v(1fr)
