#import "@local/handout:0.1.0": *

#show: handout.with(
  title: [Warm-Up: Travellers],
  by: "Mark",
)

#problem()
Four travellers are on a plane, each moving along a straight line at an arbitrary constant speed. \
No two of their paths are parallel, and no three intersect at the same point. \
We know that traveller A has met travelers B, C, and D, \
and that traveller B has met C and D (and A). Show that C and D must also have met.

#solution([
  When a body travels at a constant speed, its graph with respect to time is a straight line. \
  So, we add time axis in the third dimension, perpendicular to our plane. \
  Naturally, the projection of each of these onto the plane corresponds to a road.

  Now, note that two intersecting lines define a plane and use the conditions in the problem to show that no two lines are parallel.
])
