#import "@local/handout:0.1.0": *

#show: handout.with(
  title: [Warm-Up: Tuesday],
  by: "Mark",
)

#problem()
Charlie has two children. \
One of them is a boy born on a Tuesday. \
What is the probability that Charlie has two boys?

#solution([
  $13 / 27$, which notably isn't $1/2$.

  #v(2mm)

  Draw a $14 times 14$ square, highlight the possible cases, and you'll see it. \

  #v(2mm)

  Order is very important in this problem. \
  If we knew that the _first_ child was a boy born on Tuesday,
  the probability of two boys would be $1/2$. \
  Also consider a smaller case where a week has two days.
])
