#import "@local/handout:0.1.0": *

#show: handout.with(
  title: [Warm-Up: Zeno's Furniture],
  by: "Mark",
)

#let thisone = if_solutions(
  text(fill: ored, [#sym.arrow.l.double.long `this one`]),
)


Zeno's Furniture sells exactly five types of furniture: \
Footstools, Hutches, Sideboards, Tables, and Vanities.

#v(3mm)

Each can be made of exactly one kind of wood: \
Maple, Oak, Pine, or Rosewood

#v(3mm)

Irene buys four items, each of a different type. \
The following conditions govern Irene's purchases:
- Any vanity she buys is Maple.
- Any rosewood item she buys is a sideboard.
- If she buys a vanity, she does not buy a footstool.
- If she buys a footstool, she also buys a table made of the same material.
- Irene does not buy an oak table.
- Exactly two of the items she buys are made of the same kind of wood.



#v(5mm)


#problem()
Which one of the following could be an accurate
list of the items Irene buys? \
- maple footstool, maple hutch, rosewood sideboard, maple table
- oak hutch, rosewood sideboard, pine table, oak vanity
- rosewood hutch, maple sideboard, oak table, maple vanity
- pine footstool, rosewood sideboard, pine table, maple vanity
- maple footstool, pine hutch, oak sideboard, maple table #thisone

#v(1fr)


#problem()
If Irene buys one item made of rosewood and two items made
of maple, then which one of the following pairs could be two
of the items she buys?
- a rosewood sideboard and an oak footstool
- an oak hutch and a pine sideboard
- an oak hutch and a maple table #thisone
- a maple sideboard and a maple vanity
- a maple hutch and a maple table

#v(1fr)
#pagebreak()


#problem()
Which one of the following is a complete and accurate list
of all the woods any footstool that Irene buys could be made of?
- maple, oak
- maple, pine #thisone
- maple, rosewood
- maple, oak, pine
- maple, oak, pine, rosewood

#v(1fr)


#problem()
Suppose Irene buys a footstool. Then which one of the following
is a complete and accurate list of items and any one of which she
could buy in maple?
- footstool, hutch, sideboard, table, vanity
- footstool, hutch, sideboard, table #thisone
- footstool, hutch, sideboard
- footstool, hutch
- footstool

#v(1fr)

#problem()
Which one of the following cannot be the two items Irene
buys that are made of the same wood as each other?
- footstool, hutch #thisone
- hutch, sideboard
- hutch, table
- sideboard, vanity
- table, vanity

#v(1fr)
#pagebreak()




#problem()
If Irene does not buy an item made of maple, then each of the
following must be true except...
- Irene buys a footstool
- Irene buys a pine hutch #thisone
- Irene buys a rosewood sideboard
- Irene buys exactly one item made of oak
- Irene buys exactly two items made of pine

#v(1fr)


#problem()
Suppose the condition that Irene does not buy an oak table is
replaced with the condition that she does not buy a pine table.
If all the other conditions hold as originally given, which of the
following cannot be true?
- Irene buys an oak footstool.
- Irene buys a hutch and a table made of the same wood.
- Irene buys a vanity, but she does not buy an oak table.
- Irene buys a maple table and an oak hutch.
- Irene buys a rosewood sideboard and exactly two items made of pine. #thisone

#v(1fr)
