#import "@local/handout:0.1.0": *

#show: handout.with(
  title: [Warm-Up: Mario Kart],
  by: "Mark",
)

#problem()
A standard Mario Kart cup consists of 12 players and four races. \
Each race is scored as follows:
- 15 points are awarded for first place;
- 12 for second;
- and $(13 - #text("place"))$ otherwise.

In any one race, no players may tie. \
A player's score at the end of a cup is the sum of their scores for each of the four races.

#v(2mm)

An $n$-way tie occurs when the top $n$ players have the same score at the end of a round. \
What is the largest possible $n$, and how is it achieved?

#solution([
  A 12-way tie is impossible, since the total number of point is not divisible by 12.

  #v(2mm)

  A 11-way tie is possible, with a top score of 28:
  - Four players finish $1^#text("st")$, $3^#text("ed")$, $11^#text("th")$, and $12^#text("th")$;
  - Four players finish $2^#text("nd")$, $4^#text("th")$, $9^#text("th")$, and $10^#text("th")$; // spell:disable-line
  - Two players finish fifth twice and seventh twice,
  - One player finishes sixth in each race.
  The final player always finishes eighth, with a non-tie score of 20.

])
