#import "@local/handout:0.1.0": *
#import "@preview/cetz:0.3.1"

#show: handout.with(
  title: [Warm-Up: Wild Tic-Tac-Toe],
  by: "Mark",
)

#let ttt = align(
  center,
  cetz.canvas({
    import cetz.draw: *
    let s = 0.7 // scale

    set-style(stroke: (thickness: 0.5mm * s))
    line((-1 * s, 3 * s), (-1 * s, -3 * s))
    line((1 * s, 3 * s), (1 * s, -3 * s))
    line((3 * s, -1 * s), (-3 * s, -1 * s))
    line((3 * s, 1 * s), (-3 * s, 1 * s))
  }),
)


#problem()
In wild tic-tac-toe, players may place either an X or O on each move. The player that first completes a
row of any three symbols wins. Show that the first player always has a winning strategy.
#v(4mm)

#table(
  stroke: none,
  align: center,
  columns: (1fr, 1fr, 1fr),
  ttt, ttt, ttt,
);
#v(1fr)

#problem()
Now, say the first player to complete a row loses. Who has a winning strategy now?
#v(4mm)

#table(
  stroke: none,
  align: center,
  columns: (1fr, 1fr, 1fr),
  ttt, ttt, ttt,
);
#v(1fr)
